pragma ComponentBehavior: Bound
import QtQuick
import QtQuick.Controls

Control {
    id: control

    property real dayWidth: 24
    property alias fromDate: model.fromDate
    property alias toDate: model.toDate

    contentItem: Row {
        Repeater {
            model: model

            delegate: Label {
                id: delegate

                required property string display
                required property bool isWeekend

                anchors.bottom: parent.bottom
                anchors.top: parent.top
                font.bold: true
                horizontalAlignment: Text.AlignHCenter
                text: display
                verticalAlignment: Text.AlignVCenter
                width: control.dayWidth

                background: Rectangle {
                    color: delegate.isWeekend ? delegate.palette.alternateBase : "transparent"
                }

                Separator {
                    anchors.bottom: parent.bottom
                    anchors.right: parent.right
                    anchors.top: parent.top
                    palette: control.palette
                }
            }
        }
    }

    TimelineDayModel {
        id: model

    }
}
